Bug 653270 - Fedora windows lag on movement for large screen resolutions
Fedora windows lag on movement for large screen resolutions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 01:06 EST by Nicholas Patrick (Peter) Solin Jr.
Modified: 2013-01-10 01:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 06:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicholas Patrick (Peter) Solin Jr. 2010-11-15 01:06:12 EST
Description of problem:
When I migrated from CentOS 5.5 to Fedora 13, my screen resolution stayed the same from 1680x1050 in CentOS to 1680x1050 in Fedora. After this upgrade, nautilus windows, the terminal window, Firefox, basically every X window lagged while moving. By lag, I mean that I would drag the window a few inches over, and it would take three seconds to refresh the new position of the window.

Version-Release number of selected component (if applicable):
It probably counts as either a GNOME problem or an X server problem, no idea which.

How reproducible:
Cannot say, only noticed it on one box; I do not have another with a 20"+ monitor to test it on.

Steps to Reproduce:
1. Use a 20"+ monitor.
2. Set the monitor to screen resolution 1680x1050 or larger in System => Preferences => Monitors.
3. Try moving windows.
  
Actual results:
Windows take approximately three seconds to refresh their position after moving them from one location to another.

Expected results:
The refresh rate of windows should take less than a second.

Additional info:
This also stopped Vino from correctly displaying, but that is for another bug report.
Comment 1 Alexei Panov 2011-01-26 11:07:42 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf and /etc/X11/xorg.conf.d/*, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2011-05-30 09:45:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 06:35:37 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.